| eRPC API Reference Rev. 1.8.1 NXP Semiconductors

- Main Page
- API Reference
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
erpc::SerialTransport Class Reference
Transport Layers » Serial port

Serial transport layer for host PC. More...

`#include <erpc_serial_transport.h>`

Inheritance diagram for erpc::SerialTransport:
[legend]
Collaboration diagram for erpc::SerialTransport:
[legend]

## Public Member Functions
| SerialTransport (const char *portName, speed_t baudRate)
| Constructor. More...
virtual | ~SerialTransport (void)
| Destructor.
erpc_status_t | init (uint8_t vtime, uint8_t vmin)
| Initialize Serial peripheral. More...
Public Member Functions inherited from erpc::FramedTransport
| FramedTransport (void)
| Constructor.
virtual | ~FramedTransport (void)
| Codec destructor.
virtual erpc_status_t | receive (MessageBuffer *message) override
| Receives an entire message. More...
virtual erpc_status_t | send (MessageBuffer *message) override
| Function to send prepared message. More...
virtual void | setCrc16 (Crc16 *crcImpl) override
| This functions sets the CRC-16 implementation. More...
Public Member Functions inherited from erpc::Transport
| Transport (void)
| Constructor.
virtual | ~Transport (void)
| Transport destructor.
virtual bool | hasMessage (void)
| Poll for an incoming message. More...

## Additional Inherited Members
Protected Attributes inherited from erpc::FramedTransport
Crc16 * | m_crcImpl
Mutex | m_sendLock
| Mutex protecting send.
Mutex | m_receiveLock
| Mutex protecting receive.

## Detailed Description

Serial transport layer for host PC.

## Constructor & Destructor Documentation

SerialTransport::SerialTransport | ( | const char * | portName,
|  | speed_t | baudRate
| ) |  |

Constructor.

Parameters

  [in] | portName | Port name.
  [in] | baudRate | Baudrate.

## Member Function Documentation

erpc_status_t SerialTransport::init | ( | uint8_t | vtime,
|  | uint8_t | vmin
| ) |  |

Initialize Serial peripheral.

Parameters

  [in] | vtime | Read timeout.
  [in] | vmin | Read timeout min.

Returns
  Status of init function.

The documentation for this class was generated from the following files:

- erpc_serial_transport.h
- erpc_serial_transport.cpp